Summary: Simple process monitor
Name: gnome-system-monitor
Version: 2.18.0
Release: %mkrel 1
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: procman48.png
Source2: procman32.png
Source3: procman16.png

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libgnome2-devel
BuildRequires: libgtop2.0-devel >= 2.14.4
BuildRequires: libwnck-devel >= 2.5
#BuildRequires: pcre-devel
BuildRequires: gnome-icon-theme >= 2.15.3
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Obsoletes: procman gtop
Provides: procman = %{version}
Provides: gtop
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires: lsb-release

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q

%build

%configure2_5x \
    --disable-selinux \
    --disable-libgksu

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

rm -f $RPM_BUILD_ROOT%{_var}

# Mandrake menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
 needs="x11"\
 section="System/Monitoring"\
 title="GNOME System monitor"\
 longtitle="View current processes and monitor system state"\
 command="%{_bindir}/gnome-system-monitor"\
 icon="procman.png" \
 startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}

cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/procman.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/procman.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/procman.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%post_install_gconf_schemas gnome-system-monitor
%{update_menus}

%preun
%preun_uninstall_gconf_schemas gnome-system-monitor

%postun
%clean_scrollkeeper
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README NEWS AUTHORS
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/*
%_datadir/pixmaps/%name
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142052
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.17.95-2mdv2007.1
+ Revision: 130283
- new version

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2.17.94-1mdv2007.1
+ Revision: 126910
- fix buildrequires
- new version
- readd omf files

* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125669
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 118904
- fix buildrequires
- new version
- drop omf files

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 112235
- fix buildrequires
- new version
- fix buildrequires

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add dependency on lsb-release for distribution detection

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.4.2-1mdv2007.1
+ Revision: 100370
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4.1-1mdv2007.1
+ Revision: 99062
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 98393
- new version
- fix buildrequires

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90714
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2.1-3mdv2007.1
+ Revision: 87963
- fix buildrequires
- bot rebuild
- new version

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2006.0
+ Revision: 63767
- rebuild
- Import gnome-system-monitor




* Wed Oct 11 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- bump deps
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- fix buildrequires
- New release 2.15.90

* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1
- New release 2.15.4

* Fri Jun 30 2006 Götz Waschk <waschk@mandriva.org> 2.15.0-1
- New release 2.15.0

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- use new macros
- xdg menu
- New release 2.14.4

* Wed May 17 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdk
- New release 2.14.3

* Sat May 06 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patch0 (merged upstream)

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- use mkrel
- fix prereq
- Patch0: remove debug output

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.12.2-2mdk
- dop selinux support

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Remove patch0 (no longer needed)

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patch0 (gotz)

* Fri Apr 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- remove BuildRequires: libgnomesu-devel

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- drop patches 1,2
- New release 2.8.3

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch1 (CVS): show user memory
- Patch2 (CVS): fix crash at startup (Mdk bug #12639)

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf file listing
- New release 2.8.1

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- requires new libwnck and libgtop
- requires new gtop

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk
- Release 2.3.1

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-4mdk
- Rebuild against latest libgtop2

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-3mdk
- Rebuild against latest ORBit2

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Rebuild against latest libgtop2

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.3.0-1mdk
- Release 2.3.0

* Thu Mar 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.4-4mdk
- Patch0: don't show supermount volume (Mdk bug 2459)

* Wed Jan 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.4-3mdk
- English correction of menu entry (proofreading by Stew Benedicts)

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Rebuild for latest openssl
- Add yelp cache generation

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Add menu entry

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-1mdk
- Release 1.1.7

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- First Mdk package
- Replace gtop

* Thu Jan 10 2002 Havoc Pennington <hp@pobox.com>
- make spec "Red Hat style"
- add GConf stuff
- langify
